Subject: bug#58839: [Patch] Re: bug#58839: 29.0.50; project-kill-buffer fails when Eglot is running

From: João Távora <[email-masked]>
Date: Tue, 1 Nov 2022 13:39:05 +0000

On Tue, Nov 1, 2022 at 1:22 PM Dmitry Gutov <[email-masked]> wrote:

> On 01.11.2022 01:19, João Távora wrote:
> > We can try to make some backward compatible way, but this seems like the
> > perfect occasion to activate this most reasonable header in project.el:
> >
> >      ;; NOTE: The project API is still experimental and can change in
> major,
> >      ;; backward-incompatible ways.  Everyone is encouraged to try it,
> and
> >      ;; report to us any problems or use cases we hadn't anticipated, by
> >      ;; sending an email to emacs-devel, or `M-x report-emacs-bug'.
>
> This is about the API.
>
> project-kills-buffers is not part of it. It's just a regular user-level
> command, to be evolved how we do with regular commands.

project-kill-buffers is great: I don't mean to deprecate it change it,
its protocol etc.  If "evolution" means fixing what are demonstrably
its very salient bugs, that's great.

Philip's worry was about project-kill-buffer-conditions.  That variable
contains a programming language and could be deprecated (if we
arrive at the conclusion that it is easily replaced by something else).
We shouldn't be shy of doing so a backward-incompatible way, given that
its usage is estimated to be minimal (and this estimation is backed up
by real data, not just a guess).